Subject: Re: [ext] Re: [bug#46955] [PATCH 3/3] gnu: python-cooler: Update to 0.8.11.

From: Mădălin Ionel Patrașcu<[email-masked]>
Date: Sun, 6 Jun 2021 02:03:33 +0200

Hi Maxime,

Thanks for the explanation, now these things are clear to me!

I applied Maxime's advice and I have made some changes on two patches 
(python-sparse and python-cooler). Because of this reason, I will send 
again the whole series of patches and I will wait for a full review of them.

Thanks, Maxime!

On 05.06.2021 12:06, Maxime Devos wrote:
> A comment about a build phase.
>
>> [...]
>> +         (replace 'check
>> +           (lambda _
>> +             (invoke "python" "-m" "pytest" "-v")
>> +            #t)))))
> This needs to be something like
>
> + (replace 'check
> +   (lambda* (#:key tests? #:allow-other-keys)
> +     (when tests?
> +       (invoke "python" "-m" "pytest" "-v"))))
>
> By respecting 'tests?', the --without-tests build transformation can be used.
> (Try "guix build python-cooler --without-tests=python-cooler").
> This can also be important for cross-compilation (dunno if it applies here
> though).
>
> Trailing #t are not required anymore. The warning that results if it is removed
> will disappear once core-updates is merged.
>
> Greetings,
> Maxime.

-- 
System Administrator
Bioinformatics and Omics Data Science
BIMSB - MDC